Opened 10 years ago

Closed 10 years ago

Last modified 9 years ago

#39598 closed defect (fixed)

DYLD_LIBRARY_PATH contains /opt/local/lib when executing glibtool-built executables during build

Reported by: drs@… Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.1.3
Keywords: Cc: dbevans (David B. Evans), anddam (Andrea D'Amore), johanmattssonm (Johan Mattsson), Greisby (Greisberger Christophe), c.herbig@…, todmorrison (Tod Morrison), crazyhorse671@…, papachoco (Carlos Sanchez), ryandesign (Ryan Schmidt), AP1010, hapaguy (Brian Kurt Fujikawa), mathsmac@…, gthb (Gunnlaugur Thor Briem), cooljeanius (Eric Gallager), jwhowse4, moritz.peter@…, deesto (John S. De Stefano Jr.), jeremyhu (Jeremy Huddleston Sequoia), cjones051073 (Chris Jones), ralph@…, kpreid (Kevin Reid), robert_snell@…, x11max@…, iskaspb@…, alex.82.d@…, andrew.long@…, m214089, clothbot (Andrew Plumb), dstrubbe (David Strubbe), eborisch (Eric A. Borisch), paul.szymanski.1993@…, dbonnafo@…, jyrkiwahlstedt, skymoo (Adam Mercer), mld03111@…, tedescn@…, hubsif, stefan.bollmann@…, chief1983@…, istlota@…
Port: harfbuzz-icu webkit-gtk

Description (last modified by ryandesign (Ryan Schmidt))

My os/architecture information is:

Darwin XX.local 12.3.0 Darwin Kernel Version 12.3.0: Sun Jan  6 22:37:10 PST 2013; root:xnu-2050.22.13~1/RELEASE_X86_64 x86_64

When attempting to upgrade via 'port upgrade outdated', I find that upgrading webkit-gtk to 2.0.3 fails with:

:info:build clang: warning: argument unused during compilation: '-pthread'
:info:build dyld: Symbol not found: __cg_jpeg_resync_to_restart
:info:build   Referenced from: /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
:info:build   Expected in: /opt/local/lib/libjpeg.9.dylib
:info:build  in /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO

I find that reverting to "webkit-gtk @2.0.1_0+quartz+video" resolves the issue. No other changes were made to environment or macports state other than moving the Portfile for webkit-gtk back to the 2.0.1_0 version with the dependency updated to 'port:harfbuzz-icu'.

Note that neither DYLD_LIBRARY_PATH nor DYLD_FALLBACK_LIBRARY_PATH is present in my environment.

I will attach the build log and the modified Portfile.

Attachments (11)

Portfile (8.3 KB) - added by drs@… 10 years ago.
reverted 2.0.1_0 portfile
webkit-gtk.error-log.txt.gz (807.8 KB) - added by drs@… 10 years ago.
log file with error from attempted update
g-ir-scanner.patch (290 bytes) - added by larryv (Lawrence Velázquez) 10 years ago.
patch g-ir-scanner to print DYLD_ environment variables
webkit-gtk-main.log.bz2 (775.3 KB) - added by ryandesign (Ryan Schmidt) 10 years ago.
log with patched g-ir-scanner
g-ir-scanner_DYLD-PRINT.patch (329 bytes) - added by larryv (Lawrence Velázquez) 10 years ago.
patch g-ir-scanner to make dyld(1) verbose
webkit-gtk-main.log.2.bz2 (784.1 KB) - added by ryandesign (Ryan Schmidt) 10 years ago.
main.log.bz2 (22.5 KB) - added by c.herbig@… 10 years ago.
webkit-gtk log using patches from comment 80
main.log.2.bz2 (15.2 KB) - added by c.herbig@… 10 years ago.
webkit-gtk-unclean-build.jobs=1-main.log.bz2 (16.7 KB) - added by ryandesign (Ryan Schmidt) 10 years ago.
sudo port -n build webkit-gtk -universal build.jobs=1
webkit-gtk build failure main.log.zip (693.8 KB) - added by istlota@… 10 years ago.
istlota@…'s main.log
patch-harfbuzz-Portfile.diff (1.2 KB) - added by ajdudman 10 years ago.
fix libtool library and header installation for harfbuzz-icu subport

Change History (143)

Changed 10 years ago by drs@…

Attachment: Portfile added

reverted 2.0.1_0 portfile

Changed 10 years ago by drs@…

Attachment: webkit-gtk.error-log.txt.gz added

log file with error from attempted update

comment:1 Changed 10 years ago by ryandesign (Ryan Schmidt)

Cc: devans@… added
Description: modified (diff)
Owner: changed from macports-tickets@… to jeremyhu@…

Note that neither DYLD_LIBRARY_PATH nor DYLD_FALLBACK_LIBRARY_PATH is present in my environment.

MacPorts does not use your environment when it's running. It uses its own sanitized environment, controlled from macports.conf.

I can't think of a reason for this to be happening, other than the one you already ruled out.

comment:2 Changed 10 years ago by anddam (Andrea D'Amore)

Cc: and.damore@… added

Cc Me!

comment:3 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Probably leaking in here:

~/src/macports/dports/www/webkit-gtk/work $ grep -R DYLD_LIBRARY webkitgtk-2.0.3/
webkitgtk-2.0.3/configure:  shlibpath_var=DYLD_LIBRARY_PATH
webkitgtk-2.0.3/configure:  shlibpath_var=DYLD_LIBRARY_PATH
webkitgtk-2.0.3/Source/autotools/libtool.m4:  shlibpath_var=DYLD_LIBRARY_PATH

comment:4 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Should check what version of glibtool was used for the 2.0.1 tarball and compare it to Source/autotools/libtool.m4 in the 2.0.3 tarball...

comment:5 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

They're the same … /shrug

comment:6 Changed 10 years ago by johanmattssonm (Johan Mattsson)

Cc: johan.mattsson.m@… added

Cc Me!

comment:7 Changed 10 years ago by Greisby (Greisberger Christophe)

Cc: greisberger@… added

Cc Me!

comment:8 Changed 10 years ago by c.herbig@…

Even if you manage to get past the above problem, you still get this error

:info:build In file included from ./Source/WebCore/bridge/NP_jsobject.h:31:
:info:build ./Source/WebCore/bridge/npruntime_internal.h:33:14: fatal error: 'X$
:info:build     #include <X11/Xresource.h>
:info:build              ^
:info:build libtool: compile:  /usr/bin/clang++ -DHAVE_CONFIG_H -I. -DBUILDING_$
:info:build In file included from Source/WebCore/bridge/npruntime.cpp:31:
:info:build ./Source/WebCore/bridge/npruntime_internal.h:33:14: fatal error: 'X$
:info:build     #include <X11/Xresource.h>
:info:build              ^
:info:build 1 error generated.

comment:9 Changed 10 years ago by c.herbig@…

Cc: c.herbig@… added

Cc Me!

comment:10 Changed 10 years ago by c.herbig@…

This is what I did to get past both errors for webkit-gtk +quartz: First, I changed these parts of the port file:

depends_lib \
        path:lib/pkgconfig/glib-2.0.pc:glib2 \
        port:gobject-introspection \
        port:gtk2 \
        port:harfbuzz-icu \
        port:libxslt \
        port:libpng \
        port:libsoup \
        port:mesa \
        port:sqlite3 \
        port:webp \
        port:startup-notification \
        port:xorg-libXt

and

configure.args  \
        --with-gtk=2.0 \
        --disable-webkit2 \
        --disable-introspection \
        --disable-video \
        --enable-svg \
        --disable-geolocation \
        --disable-media-stream \
        --disable-spellcheck \
        --disable-credential-storage \
        --enable-webgl

Then install it using sudo port install webkit-gtk +quartz +no_x11 -x11 +no_gnome -video wait 2 hours, and it works.

I don't know why these changes make it work, or even which specific ones do it, but +quartz -video by itself isn't enough, disabling some configure args gets past the jpeg_resync error, and adding startup-notifications gets past the X11 errors (I'm not sure which dep inside that solves it, but if you do the config changes and install webkit-gtk +quartz -video etc from yelp, which installs startup-notification prior to webkit-gtk, then it works).

So, sorry for the rambling post, but I hope this will help figure out exactly where the errors come from for someone who actually knows what all of this stuff does.

comment:11 Changed 10 years ago by todmorrison (Tod Morrison)

Cc: todmorrison@… added

Cc Me!

comment:12 Changed 10 years ago by crazyhorse671@…

Cc: crazyhorse671@… added

Cc Me!

comment:13 Changed 10 years ago by ryandesign (Ryan Schmidt)

Cc: papachoco@… ryandesign@… added

Has duplicate #39856.

comment:14 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Well the error is seen when running g-ir-scanner ... Does gobject-introspection do something with DYLD_LIBRARY_PATH?

comment:15 Changed 10 years ago by AP1010

Cc: arthur@… added

Cc Me!

comment:16 Changed 10 years ago by hapaguy (Brian Kurt Fujikawa)

Cc: brian.fujikawa@… added

Cc Me!

comment:17 Changed 10 years ago by mathsmac@…

Cc: mathsmac@… added

Cc Me!

comment:18 Changed 10 years ago by c.herbig@…

Does anyone know if this error still shows up in the new 2.0.4?

comment:19 in reply to:  18 Changed 10 years ago by AP1010

Replying to c.herbig@…:

Does anyone know if this error still shows up in the new 2.0.4?

Yes, it does.

comment:20 Changed 10 years ago by gthb (Gunnlaugur Thor Briem)

Cc: gunnlaugur@… added

Cc Me!

comment:21 Changed 10 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

comment:22 Changed 10 years ago by jwhowse4

Cc: jwhowse4@… added

Cc Me!

comment:23 Changed 10 years ago by c.herbig@…

Starting from a fresh macports install, I was able to install webkit-gtk (X11) by using:

--disable-introspection

comment:24 Changed 10 years ago by moritz.peter@…

Cc: moritz.peter@… added

Cc Me!

comment:25 Changed 10 years ago by deesto (John S. De Stefano Jr.)

Cc: deesto@… added

Cc Me!

comment:26 Changed 10 years ago by deesto (John S. De Stefano Jr.)

This initially complained that 'google-test' was not active or installed; now that it is installed, upgrading webkit-gtk to 2.0.4 on 10.6 fails with "DEBUG: Error code: NONE" and:

DEBUG: couldn't open "/System/Library/Frameworks/Tcl.framework/Versions/8.5/Resources/tclIndex": no such file or directory
    while executing
"open [file join $dir tclIndex]"

If a separate ticket is required, LMK and I'll file one.

Thanks.

comment:27 Changed 10 years ago by sam.cox144@…

Cc: sam.cox144@… added

Cc Me!

comment:28 Changed 10 years ago by c.herbig@…

From another fresh macports install, I was able to install webkit-gtk +quartz using:

--disable-introspection

and adding

depends_lib-append port:xorg-libX11

to the variant quartz section

P.S. I'm using OS X 10.8.4, if that matters.

comment:29 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Port: gobject-introspection added; webkit-gtk removed
Summary: webkit-gtk: Symbol not found: __cg_jpeg_resync_to_restartBuilding with gobject-introspection sets DYLD_LIBRARY_PATH

Please open a separate bug about your needing xorg-libX11 when building +quartz. That is unrelated to this bug in gobject-introspection.

comment:30 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Cc: jeremyhu@… added

Cc Me!

comment:31 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Owner: changed from jeremyhu@… to devans@…

comment:32 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Can you edit /opt/local/bin/g-ir-scanner to printout all the DYLD_ environment variables that are set? That will help us see if the issue is from the environment calling g-ir-scanner or from something set by it.

comment:33 in reply to:  26 ; Changed 10 years ago by cooljeanius (Eric Gallager)

Replying to deesto@…:

DEBUG: couldn't open "/System/Library/Frameworks/Tcl.framework/Versions/8.5/Resources/tclIndex": no such file or directory
    while executing
"open [file join $dir tclIndex]"

That's #37231

comment:34 in reply to:  33 Changed 10 years ago by deesto (John S. De Stefano Jr.)

Replying to egall@…:

Replying to deesto@…:

DEBUG: couldn't open "/System/Library/Frameworks/Tcl.framework/Versions/8.5/Resources/tclIndex": no such file or directory
    while executing
"open [file join $dir tclIndex]"

That's #37231

Thanks. I see your comment there ... odd that I'd never had this error before yesterday, though you'd reported it 8 months ago. Perhaps the relevant difference is in our OS platforms: I'm still on 10.6.8.

comment:35 Changed 10 years ago by cjones051073 (Chris Jones)

Cc: jonesc@… added

Cc Me!

comment:36 in reply to:  35 ; Changed 10 years ago by MaurizioLoreti

This is happening for me too; MacPorts base version 2.2.0, OS 10.8.4. Please, supply a workaround or a patch... The last lines of main.log are:

:info:build libtool: link: /usr/bin/clang -arch x86_64 -o /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectENoJOQ/.libs/WebKit-1.0 /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectENoJOQ/WebKit-1.0.o  -L. /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/.libs/libwebkitgtk-1.0.dylib -L/opt/local/lib /opt/local/lib/libenchant.dylib /opt/local/lib/libharfbuzz-icu.dylib /opt/local/lib/libgailutil.dylib /opt/local/lib/libgeoclue.dylib /opt/local/lib/libdbus-glib-1.dylib /opt/local/lib/libdbus-1.dylib /opt/local/lib/libgstapp-1.0.dylib /opt/local/lib/libgstfft-1.0.dylib /opt/local/lib/libgstpbutils-1.0.dylib /opt/local/lib/libgstaudio-1.0.dylib /opt/local/lib/libgsttag-1.0.dylib /opt/local/lib/libgstvideo-1.0.dylib /opt/local/lib/liborc-0.4.dylib /opt/local/lib/libgstbase-1.0.dylib /opt/local/lib/libgstreamer-1.0.dylib -ldl /opt/local/lib/libjpeg.dylib /opt/local/lib/libsecret-1.dylib /opt/local/lib/libgcrypt.dylib /opt/local/lib/libgpg-error.dylib /opt/local/lib/libxslt.dylib -lGL /opt/local/lib/libwebp.dylib /opt/local/lib/libXt.dylib /opt/local/lib/libSM.dylib /opt/local/lib/libICE.dylib /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/.libs/libjavascriptcoregtk-1.0.dylib -licui18n -licuuc -licudata /opt/local/lib/libgtk-x11-2.0.dylib /opt/local/lib/libgdk-x11-2.0.dylib /opt/local/lib/libpangocairo-1.0.dylib /opt/local/lib/libXinerama.dylib /opt/local/lib/libXi.dylib /opt/local/lib/libXrandr.dylib /opt/local/lib/libXcursor.dylib /opt/local/lib/libXcomposite.dylib /opt/local/lib/libXdamage.dylib /opt/local/lib/libXfixes.dylib /opt/local/lib/libatk-1.0.dylib /opt/local/lib/libcairo.dylib /opt/local/lib/libpixman-1.dylib /opt/local/lib/libxcb-shm.dylib /opt/local/lib/libX11-xcb.dylib /opt/local/lib/libxcb-render.dylib /opt/local/lib/libXrender.dylib /opt/local/lib/libXext.dylib /opt/local/lib/libX11.dylib /opt/local/lib/libxcb.dylib /opt/local/lib/libXau.dylib /opt/local/lib/libXdmcp.dylib /opt/local/lib/libgdk_pixbuf-2.0.dylib /opt/local/lib/libpangoft2-1.0.dylib /opt/local/lib/libharfbuzz.dylib /opt/local/lib/libgraphite2.dylib /opt/local/lib/libpango-1.0.dylib /opt/local/lib/libgthread-2.0.dylib /opt/local/lib/libfontconfig.dylib /opt/local/lib/libfreetype.dylib /opt/local/lib/libpng15.dylib -lbz2 /opt/local/lib/libexpat.dylib /opt/local/lib/libsoup-2.4.dylib /opt/local/lib/libxml2.dylib -lpthread /opt/local/lib/liblzma.dylib -lm /opt/local/lib/libsqlite3.dylib /opt/local/lib/libgio-2.0.dylib /opt/local/lib/libgmodule-2.0.dylib -lz /opt/local/lib/libgobject-2.0.dylib /opt/local/lib/libffi.dylib /opt/local/lib/libglib-2.0.dylib -lresolv /opt/local/lib/libintl.dylib /opt/local/lib/libiconv.dylib -lc -pthread -framework Foundation -framework Carbon
:info:build clang: warning: argument unused during compilation: '-pthread'
:info:build dyld: Symbol not found: __cg_jpeg_resync_to_restart
:info:build   Referenced from: /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
:info:build   Expected in: /opt/local/lib/libjpeg.9.dylib
:info:build  in /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
:info:build Command '['/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectENoJOQ/WebKit-1.0', '--introspect-dump=/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectENoJOQ/functions.txt,/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectENoJOQ/dump.xml']' returned non-zero exit status -5
:info:build make[1]: *** [WebKit-1.0.gir] Error 1
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4'
:info:build make: *** [all] Error 2
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4'
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4" && /usr/bin/make -j4 -w all CC="/usr/bin/clang -arch x86_64" V=1 
:info:build Exit code: 2
:error:build org.macports.build for port webkit-gtk returned: command execution failed
:debug:build Error code: CHILDSTATUS 79032 2
:debug:build Backtrace: command execution failed
    while executing
"system -nice 0 $fullcmdstring"
    ("eval" body line 1)
    invoked from within
"eval system $notty $nice \$fullcmdstring"
    invoked from within
"command_exec build"
    (procedure "portbuild::build_main" line 8)
    invoked from within
"$procedure $targetname"
:info:build Warning: targets not executed for webkit-gtk: org.macports.install org.macports.build org.macports.destroot
:notice:build Please see the log file for port webkit-gtk for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/main.log

comment:37 Changed 10 years ago by MaurizioLoreti

Cc: Maurizio.Loreti@… added

Cc Me!

comment:38 Changed 10 years ago by MaurizioLoreti

Cc: Maurizio.Loreti@… removed

Cc Me!

comment:39 Changed 10 years ago by MaurizioLoreti

Cc: Maurizio.Loreti@… added

Cc Me!

comment:40 Changed 10 years ago by l.digaspero@…

CC Me!

comment:41 in reply to:  36 ; Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to Maurizio.Loreti@…:

This is happening for me too; MacPorts base version 2.2.0, OS 10.8.4. Please, supply a workaround or a patch... The last lines of main.log are:

A workaround is provided in multiple comments above as are requests for more information. Please don't just provide "me toos" as that is just a waste of space.

comment:42 in reply to:  40 Changed 10 years ago by larryv (Lawrence Velázquez)

Cc: l.digaspero@… added

You need to click the “CcMe!” button next to the Cc list to actually be Cc’d.

comment:43 Changed 10 years ago by l.digaspero@…

Cc: l.digaspero@… removed

Cc Me!

comment:44 in reply to:  41 ; Changed 10 years ago by sam.cox144@…

Replying to jeremyhu@…:

Replying to Maurizio.Loreti@…:

This is happening for me too; MacPorts base version 2.2.0, OS 10.8.4. Please, supply a workaround or a patch... The last lines of main.log are:

A workaround is provided in multiple comments above as are requests for more information. Please don't just provide "me toos" as that is just a waste of space.

So is there a workaround that doesn't involve a clean install of macports with --disable-introspection? A clean install of macports is not something I undertake lightly...

comment:45 Changed 10 years ago by larryv (Lawrence Velázquez)

Cc: ralph@… added

Has duplicate #39874.

comment:46 in reply to:  44 ; Changed 10 years ago by larryv (Lawrence Velázquez)

Replying to sam.cox144@…:

So is there a workaround that doesn't involve a clean install of macports with --disable-introspection? A clean install of macports is not something I undertake lightly...

You probably don’t have to reinstall MacPorts. Add --disable-introspection to the webkit-gtk Portfile and build.

comment:47 in reply to:  46 Changed 10 years ago by c.herbig@…

Replying to larryv@…:

Replying to sam.cox144@…:

So is there a workaround that doesn't involve a clean install of macports with --disable-introspection? A clean install of macports is not something I undertake lightly...

You probably don’t have to reinstall MacPorts. Add --disable-introspection to the webkit-gtk Portfile and build.

It shouldn't necessary to reinstall and recompile everything you have in MacPorts. The only reason I did so was to make sure there wasn't anything else being installed that would mask missing dependencies or something. See comment 28 if you are using +quartz. I haven't done any sort of real testing on them, but for Mountain Lion, they were enough to compile webkit and use gnome yelp without any problems (so far).

comment:48 in reply to:  32 ; Changed 10 years ago by c.herbig@…

Replying to jeremyhu@…:

Can you edit /opt/local/bin/g-ir-scanner to printout all the DYLD_ environment variables that are set? That will help us see if the issue is from the environment calling g-ir-scanner or from something set by it.

I'd be willing to try that for you (for both X11 and quartz if you want), but I don't know how to do it.

comment:49 in reply to:  46 ; Changed 10 years ago by sam.cox144@…

Replying to larryv@…:

Replying to sam.cox144@…:

So is there a workaround that doesn't involve a clean install of macports with --disable-introspection? A clean install of macports is not something I undertake lightly...

You probably don’t have to reinstall MacPorts. Add --disable-introspection to the webkit-gtk Portfile and build.

That worked for me, thanks!

comment:50 Changed 10 years ago by sam.cox144@…

Cc: sam.cox144@… removed

Cc Me!

comment:51 Changed 10 years ago by josh@…

Last edited 10 years ago by josh@… (previous) (diff)

comment:52 in reply to:  49 Changed 10 years ago by promac@…

Replying to sam.cox144@…:

Replying to larryv@…:

Replying to sam.cox144@…:

So is there a workaround that doesn't involve a clean install of macports with --disable-introspection? A clean install of macports is not something I undertake lightly...

You probably don’t have to reinstall MacPorts. Add --disable-introspection to the webkit-gtk Portfile and build.

That worked for me, thanks!

Worked for me also. Mountain lion 10.8.4

comment:53 Changed 10 years ago by kpreid (Kevin Reid)

Cc: kpreid@… added

Cc Me!

comment:54 Changed 10 years ago by robert_snell@…

Cc: robert_snell@… added

Cc Me!

comment:55 Changed 10 years ago by larryv (Lawrence Velázquez)

Cc: x11max@… added

Has duplicate #39879.

comment:56 Changed 10 years ago by larryv (Lawrence Velázquez)

Cc: iskaspb@… added

Has duplicate #39882.

comment:57 Changed 10 years ago by neverpanic (Clemens Lang)

Has duplicate #39885 with different error, but probably same origin:

:info:build g-ir-scanner: link: /bin/sh ./libtool --mode=link --tag=CC /usr/bin/clang -arch x86_64 -o /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/WebKit-1.0 -export-dynamic /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/WebKit-1.0.o -L. -lwebkitgtk-1.0 -ljavascriptcoregtk-1.0 -L/opt/local/lib -lgmodule-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -lgio-2.0 -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lXfixes -lX11 -lXext -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lpango-1.0 -lm -lfreetype -lfontconfig -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lintl
:info:build libtool: link: /usr/bin/clang -arch x86_64 -o /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/.libs/WebKit-1.0 /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/WebKit-1.0.o  -L. /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/.libs/libwebkitgtk-1.0.dylib -L/opt/local/lib /opt/local/lib/libenchant.dylib /opt/local/lib/libharfbuzz-icu.dylib /opt/local/lib/libgailutil.dylib /opt/local/lib/libgeoclue.dylib /opt/local/lib/libdbus-glib-1.dylib /opt/local/lib/libdbus-1.dylib /opt/local/lib/libgstapp-1.0.dylib /opt/local/lib/libgstfft-1.0.dylib /opt/local/lib/libgstpbutils-1.0.dylib /opt/local/lib/libgstaudio-1.0.dylib /opt/local/lib/libgsttag-1.0.dylib /opt/local/lib/libgstvideo-1.0.dylib /opt/local/lib/liborc-0.4.dylib /opt/local/lib/libgstbase-1.0.dylib /opt/local/lib/libgstreamer-1.0.dylib -ldl /opt/local/lib/libjpeg.dylib /opt/local/lib/libsecret-1.dylib /opt/local/lib/libgcrypt.dylib /opt/local/lib/libgpg-error.dylib /opt/local/lib/libxslt.dylib -lGL /opt/local/lib/libwebp.dylib /opt/local/lib/libXt.dylib /opt/local/lib/libSM.dylib /opt/local/lib/libICE.dylib /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/.libs/libjavascriptcoregtk-1.0.dylib -licui18n -licuuc -licudata /opt/local/lib/libgtk-x11-2.0.dylib /opt/local/lib/libgdk-x11-2.0.dylib /opt/local/lib/libpangocairo-1.0.dylib /opt/local/lib/libXinerama.dylib /opt/local/lib/libXi.dylib /opt/local/lib/libXrandr.dylib /opt/local/lib/libXcursor.dylib /opt/local/lib/libXcomposite.dylib /opt/local/lib/libXdamage.dylib /opt/local/lib/libXfixes.dylib /opt/local/lib/libatk-1.0.dylib /opt/local/lib/libcairo.dylib /opt/local/lib/libpixman-1.dylib /opt/local/lib/libxcb-shm.dylib /opt/local/lib/libX11-xcb.dylib /opt/local/lib/libxcb-render.dylib /opt/local/lib/libXrender.dylib /opt/local/lib/libXext.dylib /opt/local/lib/libX11.dylib /opt/local/lib/libxcb.dylib /opt/local/lib/libXau.dylib /opt/local/lib/libXdmcp.dylib /opt/local/lib/libgdk_pixbuf-2.0.dylib /opt/local/lib/libpangoft2-1.0.dylib /opt/local/lib/libharfbuzz.dylib /opt/local/lib/libgraphite2.dylib /opt/local/lib/libpango-1.0.dylib /opt/local/lib/libgthread-2.0.dylib /opt/local/lib/libfontconfig.dylib /opt/local/lib/libfreetype.dylib /opt/local/lib/libpng15.dylib -lbz2 /opt/local/lib/libexpat.dylib /opt/local/lib/libsoup-2.4.dylib /opt/local/lib/libxml2.dylib -lpthread /opt/local/lib/liblzma.dylib -lm /opt/local/lib/libsqlite3.dylib /opt/local/lib/libgio-2.0.dylib /opt/local/lib/libgmodule-2.0.dylib -lz /opt/local/lib/libgobject-2.0.dylib /opt/local/lib/libffi.dylib /opt/local/lib/libglib-2.0.dylib -lresolv /opt/local/lib/libintl.dylib /opt/local/lib/libiconv.dylib -lc -pthread -framework Carbon
:info:build clang: warning: argument unused during compilation: '-pthread'
:info:build dyld: Symbol not found: _iconv
:info:build   Referenced from: /usr/lib/libcups.2.dylib
:info:build   Expected in: /opt/local/lib/libiconv.2.dylib
:info:build  in /usr/lib/libcups.2.dylib
:info:build Command '['/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/WebKit-1.0', '--introspect-dump=/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/functions.txt,/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspectYEzGRB/dump.xml']' returned non-zero exit status -5
:info:build make[1]: *** [WebKit-1.0.gir] Error 1
:info:build make[1]: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4'
:info:build make: *** [all] Error 2
:info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4'
:info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4" && /usr/bin/make -j8 -w all CC="/usr/bin/clang -arch x86_64" V=1 
:info:build Exit code: 2

comment:58 Changed 10 years ago by neverpanic (Clemens Lang)

Cc: alex.82.d@… andrew.long@… added

Has duplicate #39887.

Changed 10 years ago by larryv (Lawrence Velázquez)

Attachment: g-ir-scanner.patch added

patch g-ir-scanner to print DYLD_ environment variables

comment:59 in reply to:  48 ; Changed 10 years ago by larryv (Lawrence Velázquez)

Replying to c.herbig@…:

Replying to jeremyhu@…:

Can you edit /opt/local/bin/g-ir-scanner to printout all the DYLD_ environment variables that are set? That will help us see if the issue is from the environment calling g-ir-scanner or from something set by it.

I'd be willing to try that for you (for both X11 and quartz if you want), but I don't know how to do it.

Try the patch I just attached.

comment:60 Changed 10 years ago by m214089

Cc: luis.kornblueh@… added

Cc Me!

comment:61 Changed 10 years ago by clothbot (Andrew Plumb)

Cc: andrew@… added

Cc Me!

comment:62 Changed 10 years ago by dstrubbe (David Strubbe)

Cc: dstrubbe@… added

Cc Me!

comment:63 Changed 10 years ago by dstrubbe (David Strubbe)

Can "webkit-gtk" be put in the port field? That will make this ticket easier to find.

comment:64 Changed 10 years ago by mario.gleirscher@…

--disable-introspection worked for me too, concerning the build. However, don't know whether webkit-gtk now exhibits bad behavior...

BTW: Makes sense, found the ticket only indirectly via searching for webkit-gtk and clicking a duplicate link :)

comment:65 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Port: webkit-gtk added

Ok, I added webkit-gtk to the port field to help searching.

Disabling introspection won't do anything negative other than disable introspection...

It would be nice if some of you who are experiencing this issue could please help diagnose it. I requested some info in comment:32, and larryv added a patch to help you do that in comment:59.

"Mee toos" drown out the useful comments, so please refrain from commenting and just CC yourself.

Last edited 10 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:66 Changed 10 years ago by eborisch (Eric A. Borisch)

Cc: eborisch@… added

Cc Me!

comment:67 in reply to:  59 ; Changed 10 years ago by c.herbig@…

Replying to larryv@…:

Try the patch I just attached.

I used the patch, and now that I have the failed build log, where would the output for this g-ir-scanner be? Searching the webkit log shows this:

:info:build /opt/local/bin/g-ir-scanner -v --warn-all \
:info:build g-ir-scanner: compile: /usr/bin/clang -arch x86_64 -Wno-deprecated-declarations -D_REENTRANT -I/opt/local/include/gtk-2.0 -I/opt/local/lib/gtk-2.0/include -I/opt/local/include/pango-1.0 -I/opt/local/include/gio-unix-2.0/ -I/opt/local/include -I/opt/local/include/cairo -I/opt/local/include/atk-1.0 -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include/libpng15 -I/opt/local/include -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng15 -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/pango-1.0 -I/opt/local/include/freetype2 -I/opt/local/include -I/opt/local/include/libsoup-2.4 -I/opt/local/include/libxml2 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I./Source -I./Source/WebKit/gtk -I./DerivedSources -I./DerivedSources/webkitdom -I./DerivedSources/webkit -I./Source/WebKit/gtk -I./Source/JavaScriptCore/ForwardingHeaders -I. -I/opt/local/include/libsoup-2.4 -I/opt/local/include/libxml2 -I/opt/local/include/gtk-2.0 -I/opt/local/lib/gtk-2.0/include -I/opt/local/include/pango-1.0 -I/opt/local/include/gio-unix-2.0/ -I/opt/local/include -I/opt/local/include/cairo -I/opt/local/include/atk-1.0 -I/opt/local/include/gdk-pixbuf-2.0 -I/opt/local/include/libpng15 -I/opt/local/include/pango-1.0 -I/opt/local/include/harfbuzz -I/opt/local/include/cairo -I/opt/local/include/pixman-1 -I/opt/local/include -I/opt/local/include/freetype2 -I/opt/local/include -I/opt/local/include/libpng15 -I/opt/local/include -I/opt/local/include/pango-1.0 -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -c -o /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspecttDlyVu/WebKit-1.0.o /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspecttDlyVu/WebKit-1.0.c
:info:build g-ir-scanner: link: /bin/sh ./libtool --mode=link --tag=CC /usr/bin/clang -arch x86_64 -o /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspecttDlyVu/WebKit-1.0 -export-dynamic /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4/tmp-introspecttDlyVu/WebKit-1.0.o -L. -lwebkitgtk-1.0 -ljavascriptcoregtk-1.0 -L/opt/local/lib -lgmodule-2.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -lgio-2.0 -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXcomposite -lXdamage -lXfixes -lX11 -lXext -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lpangoft2-1.0 -lpango-1.0 -lm -lfreetype -lfontconfig -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lintl

Also, another interesting thing I saw:

:info:configure configure: WARNING: unrecognized options: --enable-media-stream

I guess someone should remove that from the master portfile.

comment:68 Changed 10 years ago by paul.szymanski.1993@…

Cc: paul.szymanski.1993@… added

Cc Me!

Changed 10 years ago by ryandesign (Ryan Schmidt)

Attachment: webkit-gtk-main.log.bz2 added

log with patched g-ir-scanner

comment:69 Changed 10 years ago by ryandesign (Ryan Schmidt)

I have patched g-ir-scanner as requested and re-run the webkit-gtk installation, but there is no output in the logfile matching DYLD.

comment:70 in reply to:  67 Changed 10 years ago by larryv (Lawrence Velázquez)

Replying to c.herbig@…:

I used the patch, and now that I have the failed build log, where would the output for this g-ir-scanner be?

Sorry, I should have had it print more than just the dictionary. Search the log for “build {”.

comment:71 in reply to:  69 Changed 10 years ago by larryv (Lawrence Velázquez)

Replying to ryandesign@…:

I have patched g-ir-scanner as requested and re-run the webkit-gtk installation, but there is no output in the logfile matching DYLD.

Yeah, it just printed an empty dictionary. Line 633075:

:info:build {}

comment:72 Changed 10 years ago by eborisch (Eric A. Borisch)

I have the same result (empty dict printed with g-ir-scanner patched) as comment:71. Running Xcode 4.0.2 on 10.6.8.

comment:73 in reply to:  67 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to c.herbig@…:

Also, another interesting thing I saw:

:info:configure configure: WARNING: unrecognized options: --enable-media-stream

I guess someone should remove that from the master portfile.

r108654

comment:74 in reply to:  72 ; Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to eborisch@…:

I have the same result (empty dict printed with g-ir-scanner patched) as comment:71. Running Xcode 4.0.2 on 10.6.8.

Ok, good. That means that DYLD_LIBRARY_PATH isn't getting set by something on "our" end. It's being set by g-ir-scanner or something it calls. Please set DYLD_PRINT_LIBRARIES=1 DYLD_PRINT_ENV=1 and DYLD_PRINT_OPTS=1 in g-ir-scanner's environment as that will tell us what the environment is for each child process and we can hopefully narrow down who is actually setting it.

comment:75 Changed 10 years ago by deesto (John S. De Stefano Jr.)

Upgrading with a patched g-ir-scanner fails on 10.6.8; grep for 'build {' in the log is empty. What appears to be the relevant section of the log:

...
1318 :info:build /opt/local/include/AvailabilityMacros.h:110:15: warning: '__ppc64__' is not defined, evaluates to 0 [-W undef]
1319 :info:build         #elif __ppc64__ && (__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ < MAC_OS_X_VERSION_10_4)
1320 :info:build               ^
1321 :info:build Source/WTF/wtf/FastMalloc.cpp:4927:7: error: excess elements in struct initializer
1322 :info:build     , 0, 0, 0, 0 // These members will not be used unless the zone advertises itself as version seven or higher.
1323 :info:build       ^
1324 :info:build 2 warnings and 1 error generated.
1325 :info:build make: *** [Source/WTF/wtf/libWTF_la-FastMalloc.lo] Error 1
1326 :info:build make: *** Waiting for unfinished jobs....
1327 :info:build 2 warnings generated.
1328 :info:build mv -f Source/WTF/wtf/.deps/libWTF_la-HashTable.Tpo Source/WTF/wtf/.deps/libWTF_la-HashTable.Plo
1329 :info:build 2 warnings generated.
1330 :info:build mv -f Source/WTF/wtf/.deps/libWTF_la-GregorianDateTime.Tpo Source/WTF/wtf/.deps/libWTF_la-GregorianDateTime.Plo
1331 :info:build offlineasm: offset extractor DerivedSources/JavaScriptCore/LLIntDesiredOffsets.h successfully generated     .
1332 :info:build make: Leaving directory `/opt/local/var/macports/build/_opt_local_var_macports_sources_svn.macports.org_trunk_dports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4'
1333 :info:build Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_svn.macports.org_trunk_dports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4" && /usr/bin/make -j4 -w all CC="/usr/bin/gcc-4.2 -arch x8     6_64" V=1 
1334 :info:build Exit code: 2                                                                                           
1335 :error:build org.macports.build for port webkit-gtk returned: command execution failed
1336 :debug:build Error code: CHILDSTATUS 35527 2
1337 :debug:build Backtrace: command execution failed
1338     while executing
1339 "system -nice 0 $fullcmdstring"
1340     ("eval" body line 1)
1341     invoked from within
1342 "eval system $notty $nice \$fullcmdstring"
1343     invoked from within
1344 "command_exec build"
1345     (procedure "portbuild::build_main" line 8)
1346     invoked from within
1347 "$procedure $targetname"
1348 :info:build Warning: targets not executed for webkit-gtk: org.macports.install org.macports.build org.macports.destroot
...

comment:76 Changed 10 years ago by dbonnafo@…

Cc: dbonnafo@… added

Cc Me!

comment:77 in reply to:  75 Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to deesto@…:

What appears to be the relevant section of the log:

That's a totally different error from what everyone else is seeing in this ticket; you should file a new ticket.

comment:78 Changed 10 years ago by jyrkiwahlstedt

Cc: jwa@… added

Cc Me!

Changed 10 years ago by larryv (Lawrence Velázquez)

patch g-ir-scanner to make dyld(1) verbose

comment:79 in reply to:  74 ; Changed 10 years ago by larryv (Lawrence Velázquez)

Replying to jeremyhu@…:

Please set DYLD_PRINT_LIBRARIES=1 DYLD_PRINT_ENV=1 and DYLD_PRINT_OPTS=1 in g-ir-scanner's environment as that will tell us what the environment is for each child process and we can hopefully narrow down who is actually setting it.

Applying this patch to a pristine g-ir-scanner should be sufficient.

comment:80 in reply to:  79 Changed 10 years ago by c.herbig@…

Replying to larryv@…:

Replying to jeremyhu@…:

Please set DYLD_PRINT_LIBRARIES=1 DYLD_PRINT_ENV=1 and DYLD_PRINT_OPTS=1 in g-ir-scanner's environment as that will tell us what the environment is for each child process and we can hopefully narrow down who is actually setting it.

Applying this patch to a pristine g-ir-scanner should be sufficient.

Thank you so much for the patches, otherwise I would have no idea how to do any of these changes. Also, should I be doing port clean webkit-gtk ; port install webkit-gtk first, or is simply trying the installation again from the previous fail good enough?

Changed 10 years ago by ryandesign (Ryan Schmidt)

Attachment: webkit-gtk-main.log.2.bz2 added

comment:81 Changed 10 years ago by ryandesign (Ryan Schmidt)

Log attached, which shows, as suspected:

DYLD_LIBRARY_PATH=/opt/local/var/macports/build/_Users_rschmidt_macports_dports_www_webkit-gtk/webkit-gtk/work/webkitgtk-2.0.4-x86_64/.libs:/opt/local/lib

comment:82 Changed 10 years ago by c.herbig@…

I see ryandesign beat me to it, but here is the log I generated.

Changed 10 years ago by c.herbig@…

Attachment: main.log.bz2 added

webkit-gtk log using patches from comment 80

comment:83 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Ryan, that log is a bit difficult to follow because it's done at -j8

Would you mind continuing the build (no need to clean first, I just need to see the environments of g-ir-scanner children) at -j1 and posting those results?

Thanks.

comment:84 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Hmm... I wonder if I'm not seeing it because I delete_la_files ...

comment:85 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

As a test, would you mind moving aside /opt/local/lib/*.la and rebuild webkit-gtk?

comment:86 in reply to:  85 Changed 10 years ago by c.herbig@…

Replying to jeremyhu@…:

As a test, would you mind moving aside /opt/local/lib/*.la and rebuild webkit-gtk?

You mean deleting those files? And would that be clean, then build?

comment:87 Changed 10 years ago by c.herbig@…

Well, I deleted those files, and this is the build log from that.

Changed 10 years ago by c.herbig@…

Attachment: main.log.2.bz2 added

comment:88 Changed 10 years ago by ryandesign (Ryan Schmidt)

For fun, I tried updating gobject-introspection to development version 1.37.4, but this didn't change the error.

comment:89 in reply to:  87 ; Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to c.herbig@…:

Well, I deleted those files, and this is the build log from that.

That wasn't a clean build.

comment:90 in reply to:  89 Changed 10 years ago by c.herbig@…

Replying to ryandesign@…:

Replying to c.herbig@…:

Well, I deleted those files, and this is the build log from that.

That wasn't a clean build.

No, it wasn't. I was hoping that it might still yield the useful information without having to wait 2 hours for a clean build. I'm doing a complete clean build now.

comment:91 Changed 10 years ago by ryandesign (Ryan Schmidt)

My system reaches the error 8 minutes into building, so I'll post my log shortly.

Changed 10 years ago by ryandesign (Ryan Schmidt)

sudo port -n build webkit-gtk -universal build.jobs=1

comment:92 in reply to:  91 ; Changed 10 years ago by c.herbig@…

Replying to ryandesign@…:

My system reaches the error 8 minutes into building, so I'll post my log shortly.

Lucky! What system are you using that accomplishes that? Is there some sort of software configuration that I could apply MacPorts to speed up these sort of debugging builds, or is it just a matter of shinier hardware?

comment:93 in reply to:  92 Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to jeremyhu@…:

Ryan, that log is a bit difficult to follow because it's done at -j8

Would you mind continuing the build (no need to clean first, I just need to see the environments of g-ir-scanner children) at -j1 and posting those results?

I've attached this.

Replying to c.herbig@…:

Replying to ryandesign@…:

My system reaches the error 8 minutes into building, so I'll post my log shortly.

Lucky! What system are you using that accomplishes that?

MacBook Pro with Retina Display, 4 x 2.6 GHz.

Is there some sort of software configuration that I could apply MacPorts to speed up these sort of debugging builds, or is it just a matter of shinier hardware?

Definitely the shiny.

comment:94 in reply to:  85 ; Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to jeremyhu@…:

As a test, would you mind moving aside /opt/local/lib/*.la and rebuild webkit-gtk?

When I do that, the build succeeds.

comment:95 in reply to:  94 ; Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Port: glibtool added; gobject-introspection removed
Summary: Building with gobject-introspection sets DYLD_LIBRARY_PATHDYLD_LIBRARY_PATH contains /opt/local/lib when executing glibtool-built executables during build

Replying to ryandesign@…:

Replying to jeremyhu@…:

As a test, would you mind moving aside /opt/local/lib/*.la and rebuild webkit-gtk?

When I do that, the build succeeds.

#*!%ing piece of $#!& glibtool ...

I imagine the increased rate of reports is tied to the changes in base-2.2 for ML and earlier releases.

Also the fact that I've never seen it on any release is because I hate glibtool and set delete_la_files=yes on all of my boxes to avoid crap like this.

I think what is going on here is "by design" for glibtool. We're executing the glibtool-built binary prior to install through the glibtool script which sets DYLD_LIBRARY_PATH in order to help it find dependent libraries in the build directories. This is so we ensure we use the just-built versions rather than the old/installed versions (also so we find the library if it isn't installed yet).

The first path in DYLD_LIBRARY_PATH (the one with $worksrcpath) is fine. That is doing the right thing as described above. The problem is that /opt/local/lib is appearing in DYLD_LIBRARY_PATH when it shouldn't be.

This is not specific to g-ir-scanner. It just happens to be a specific case of this class of bug.

comment:96 in reply to:  95 ; Changed 10 years ago by c.herbig@…

Replying to jeremyhu@…:

This is not specific to g-ir-scanner. It just happens to be a specific case of this class of bug.

Do you still want any more of these patched g-ir-scanner build logs? I'd like to free my system to work on providing new tickets for the +quartz related bugs discussed earlier, provided that you have enough data on the current problem.

Addendum: I just noticed that the build I am trying is already making new .la files. So I'm not sure that this would even give you any new info...

Last edited 10 years ago by c.herbig@… (previous) (diff)

comment:97 in reply to:  96 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to c.herbig@…:

Replying to jeremyhu@…:

This is not specific to g-ir-scanner. It just happens to be a specific case of this class of bug.

Do you still want any more of these patched g-ir-scanner build logs? I'd like to free my system to work on providing new tickets for the +quartz related bugs discussed earlier, provided that you have enough data on the current problem.

Addendum: I just noticed that the build I am trying is already making new .la files. So I'm not sure that this would even give you any new info...

Yeah, we have enough information here... the issue is that there is some .la file in /opt/local/lib which glibtool thinks it needs, so it helpfully adds /opt/local/lib to DYLD_LIBRARY_PATH ... something different about how the .la files are made in 2.2 is possibly a contributing factor here, but I'm not entirely certain.

Have I mentioned that I hate glibtool?!

comment:98 Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to jeremyhu@…:

I imagine the increased rate of reports is tied to the changes in base-2.2 for ML and earlier releases.

What changes do you suspect caused this? AFAIK the only thing MacPorts 2.2 does differently for .la files by default is to clear the dependency_libs line.

I was able to install webkit-gtk 2.0.3 on MacPorts 2.1.3 on June 14, but this ticket was originally reported by a user unable to build webkit-gtk 2.0.3 on MacPorts 2.1.3 on July 1.

Therefore, I was suspecting that some other port in the dependency tree got updated between those dates and that this caused the change in behavior. But I don't know what that port would be. It's not libtool.

The only change in the webkit-gtk port during that time was r107446 when the harfbuzz and icu dependencies were replaced with the harfbuzz-icu dependency. I wonder if my changes to harfbuzz in r107441 could be responsible, but I don't see how.

comment:99 in reply to:  98 ; Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to ryandesign@…:

Replying to jeremyhu@…:

I imagine the increased rate of reports is tied to the changes in base-2.2 for ML and earlier releases.

What changes do you suspect caused this? AFAIK the only thing MacPorts 2.2 does differently for .la files by default is to clear the dependency_libs line.

Yeah. I'm suspecting that as there are no other changes.

I was able to install webkit-gtk 2.0.3 on MacPorts 2.1.3 on June 14, but this ticket was originally reported by a user unable to build webkit-gtk 2.0.3 on MacPorts 2.1.3 on July 1.

Therefore, I was suspecting that some other port in the dependency tree got updated between those dates and that this caused the change in behavior. But I don't know what that port would be. It's not libtool.

So you're thinking the influx of new reports is more a result of webkit-gtk bumping and thus forcing more people to trip over this? Could be.

The only change in the webkit-gtk port during that time was r107446 when the harfbuzz and icu dependencies were replaced with the harfbuzz-icu dependency. I wonder if my changes to harfbuzz in r107441 could be responsible, but I don't see how.

I'm not really sure. I think the next step is to figure out what dependency in /opt/local/lib is causing this issue to manifefest (ie, what is the magic .la file that trips this up when one places it back into /opt/local/lib). If we knew that, we might be able to examine what about the .la file or glibtool causes it.

comment:100 in reply to:  99 Changed 10 years ago by c.herbig@…

Replying to jeremyhu@…:

So you're thinking the influx of new reports is more a result of webkit-gtk bumping and thus forcing more people to trip over this? Could be.

The only change in the webkit-gtk port during that time was r107446 when the harfbuzz and icu dependencies were replaced with the harfbuzz-icu dependency. I wonder if my changes to harfbuzz in r107441 could be responsible, but I don't see how.

I'm not really sure. I think the next step is to figure out what dependency in /opt/local/lib is causing this issue to manifefest (ie, what is the magic .la file that trips this up when one places it back into /opt/local/lib). If we knew that, we might be able to examine what about the .la file or glibtool causes it.

Meanwhile, might it be appropriate to release a revision update to the master portfile that disables introspection for now? That way people will at least have a functioning webkit and stop posting bug reports on the issue.

comment:101 in reply to:  99 Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to jeremyhu@…:

Replying to ryandesign@…:

Therefore, I was suspecting that some other port in the dependency tree got updated between those dates and that this caused the change in behavior. But I don't know what that port would be. It's not libtool.

So you're thinking the influx of new reports is more a result of webkit-gtk bumping and thus forcing more people to trip over this? Could be.

Yes. packages.macports.org has builds of 2.0.3 (from June 12) but not 2.0.4 (presumably because the buildbot ran into the problem). I suspect sometime after June 14 something changed in a port that caused this problem, but only users who build from source would experience it. Now all users experience it because all users must build from source because there is no package available.

comment:102 Changed 10 years ago by skymoo (Adam Mercer)

Cc: ram@… added

Cc Me!

comment:103 Changed 10 years ago by larryv (Lawrence Velázquez)

Cc: mld03111@… added

Has duplicate #39900.

comment:104 Changed 10 years ago by tedescn@…

Cc: tedescn@… added

Cc Me!

comment:105 Changed 10 years ago by hubsif

Cc: hubsif@… added

Cc Me!

comment:106 Changed 10 years ago by stefan.bollmann@…

Cc: stefan.bollmann@… added

Cc Me!

comment:107 Changed 10 years ago by chief1983@…

Cc: chief1983@… added

Cc Me!

comment:108 Changed 10 years ago by istlota@…

Once a week, I do a sudo port upgrade outdated. This week, that prompted mac ports to upgrade from v2.1.3 to v2.2.0, which worked. But upgrade of webkit-gtk from v2.03 to v2.0.4 failed. So, yeah, Cc Me too! I am attaching my main.log, since it says something about yylex only getting 1 of 2 required arguments which may or may not aid resolution of this problem.

Last edited 10 years ago by istlota@… (previous) (diff)

Changed 10 years ago by istlota@…

istlota@…'s main.log

comment:109 in reply to:  108 ; Changed 10 years ago by larryv (Lawrence Velázquez)

Cc: istlota@… added

Replying to istlota@…:

But upgrade of webkit-gtk from v2.03 to v2.0.4 failed. So, yeah, Cc Me too!

Next time, remember to actually click the “CcMe!” button, up next to the Cc list.

I am attaching my main.log, since it says something about yylex only getting 1 of 2 required arguments which may or may not aid resolution of this problem.

This is a completely different issue, likely caused by the recent bison update. Please open a separate ticket for it.

comment:110 in reply to:  109 ; Changed 10 years ago by cooljeanius (Eric Gallager)

Replying to larryv@…:

Replying to istlota@…:

I am attaching my main.log, since it says something about yylex only getting 1 of 2 required arguments which may or may not aid resolution of this problem.

This is a completely different issue, likely caused by the recent bison update. Please open a separate ticket for it.

See also #39910 (still file a separate ticket for the specific incompatibility that #39910 causes with webkit-gtk though. Edit: That's #39923 now I guess)

Last edited 10 years ago by cooljeanius (Eric Gallager) (previous) (diff)

comment:111 in reply to:  110 ; Changed 10 years ago by larryv (Lawrence Velázquez)

Replying to egall@…:

See also #39910

That has nothing to do with this ticket. Stop adding noise, please. You don’t need to cross-reference all of Trac.

comment:112 in reply to:  111 Changed 10 years ago by cooljeanius (Eric Gallager)

Replying to larryv@…:

Replying to egall@…:

See also #39910

You don’t need to cross-reference all of Trac.

Well until Trac does it automatically, somebody has to build the web. I find cross-references useful, as they often get tickets solved faster. They're also useful for doing triage, as now anyone else with that issue will be sorted to that other issue, instead of posting stuff about it here. It's less noise in the long run.

comment:113 in reply to:  99 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to jeremyhu@…:

Replying to ryandesign@…:

Replying to jeremyhu@…:

I imagine the increased rate of reports is tied to the changes in base-2.2 for ML and earlier releases.

What changes do you suspect caused this? AFAIK the only thing MacPorts 2.2 does differently for .la files by default is to clear the dependency_libs line.

Yeah. I'm suspecting that as there are no other changes.

I confirmed that this is *NOT* due to the changes in MP 2.2. I ran into this just now with a fresh install of webkit-gtk using base 2.1.3

So it is likely as Ryan suspected (some dependent port changing between June 14 and July 1st):

$ port list rdepof:webkit-gtk
aspell                         @0.60.6.1       textproc/aspell
atk                            @2.8.0          devel/atk
autoconf                       @2.69           devel/autoconf
automake                       @1.14           devel/automake
bison                          @2.7.1          devel/bison
bzip2                          @1.0.6          archivers/bzip2
cairo                          @1.12.14        graphics/cairo
cmake                          @2.8.10.2       devel/cmake
curl-ca-bundle                 @7.31.0         net/curl
db46                           @4.6.21         databases/db46
db_select                      @0.1            sysutils/db_select
dbus                           @1.6.12         devel/dbus
dbus-glib                      @0.100.2        devel/dbus-glib
desktop-file-utils             @0.15           gnome/desktop-file-utils
docbook-xml                    @5.0            textproc/docbook-xml
docbook-xml-4.1.2              @5.0            textproc/docbook-xml
docbook-xml-4.2                @5.0            textproc/docbook-xml
docbook-xml-4.3                @5.0            textproc/docbook-xml
docbook-xml-4.4                @5.0            textproc/docbook-xml
docbook-xml-4.5                @5.0            textproc/docbook-xml
docbook-xml-5.0                @5.0            textproc/docbook-xml
docbook-xsl                    @1.78.1         textproc/docbook-xsl
enchant                        @1.6.0          textproc/enchant
expat                          @2.1.0          textproc/expat
flex                           @2.5.37         devel/flex
fontconfig                     @2.10.93        graphics/fontconfig
freetype                       @2.5.0          print/freetype
gconf                          @2.32.4         gnome/gconf
gdbm                           @1.10           databases/gdbm
gdk-pixbuf2                    @2.28.2         graphics/gdk-pixbuf2
geoclue                        @0.12.99        devel/geoclue
getopt                         @1.1.5          sysutils/getopt
gettext                        @0.18.3         devel/gettext
glib-networking                @2.36.2         gnome/glib-networking
glib2                          @2.36.3         devel/glib2
gmp                            @5.0.5          devel/gmp
gnome-common                   @3.6.0          gnome/gnome-common
gnome-doc-utils                @0.20.10        gnome/gnome-doc-utils
gnome-mime-data                @2.18.0         gnome/gnome-mime-data
gnome-vfs                      @2.24.4         gnome/gnome-vfs
gnutls                         @3.1.10         devel/gnutls
gobject-introspection          @1.36.0         gnome/gobject-introspection
gperf                          @3.0.4          devel/gperf
graphite2                      @1.2.3          graphics/graphite2
gsed                           @4.2.2          textproc/gsed
gsettings-desktop-schemas      @3.8.2          gnome/gsettings-desktop-schemas
gstreamer1                     @1.0.7          gnome/gstreamer1
gstreamer1-gst-plugins-base    @1.0.7          gnome/gstreamer1-gst-plugins-base
gtk-doc                        @1.18           gnome/gtk-doc
gtk2                           @2.24.20        gnome/gtk2
gzip                           @1.6            archivers/gzip
harfbuzz                       @0.9.19         graphics/harfbuzz
harfbuzz-icu                   @0.9.19         graphics/harfbuzz
help2man                       @1.41.2         textproc/help2man
hicolor-icon-theme             @0.12           gnome/hicolor-icon-theme
hunspell                       @1.3.2          textproc/hunspell
icu                            @51.2           devel/icu
intltool                       @0.50.2         textproc/intltool
iso-codes                      @3.43           devel/iso-codes
jasper                         @1.900.1        graphics/jasper
jbigkit                        @2.0            graphics/jbigkit
jpeg                           @9              graphics/jpeg
libedit                        @20121213-3.0   devel/libedit
libffi                         @3.0.13         devel/libffi
libgcrypt                      @1.5.0          devel/libgcrypt
libgnome-keyring               @2.32.0         gnome/libgnome-keyring
libgpg-error                   @1.12           devel/libgpg-error
libiconv                       @1.14           textproc/libiconv
libidl                         @0.8.14         devel/libidl
libidn                         @1.26           mail/libidn
libogg                         @1.3.1          multimedia/libogg
libpixman                      @0.30.0         graphics/libpixman
libpng                         @1.5.17         graphics/libpng
libproxy                       @0.4.11         net/libproxy
libsecret                      @0.14           gnome/libsecret
libsoup                        @2.42.2         gnome/libsoup
libtasn1                       @2.11           devel/libtasn1
libtheora                      @1.1.1          multimedia/libtheora
libtool                        @2.4.2          devel/libtool
libvorbis                      @1.3.3          audio/libvorbis
libxml2                        @2.9.1          textproc/libxml2
libxslt                        @1.1.28         textproc/libxslt
lzo2                           @2.06           archivers/lzo2
m4                             @1.4.16         devel/m4
makedepend                     @1.0.4          x11/makedepend
mesa                           @8.0.4          x11/mesa
ncurses                        @5.9            devel/ncurses
nettle                         @2.6            devel/nettle
openssl                        @1.0.1e         devel/openssl
orbit2                         @2.14.19        devel/orbit2
orc                            @0.4.17         devel/orc
p5.12-locale-gettext           @1.50.0         perl/p5-locale-gettext
p5.16-getopt-long              @2.400.0        perl/p5-getopt-long
p5.16-pathtools                @3.330.0        perl/p5-pathtools
p5.16-scalar-list-utils        @1.270.0        perl/p5-scalar-list-utils
p5.16-xml-parser               @2.400.0        perl/p5-xml-parser
pango                          @1.34.1         x11/pango
perl5                          @5.12.4         lang/perl5
perl5.12                       @5.12.4         lang/perl5.12
perl5.16                       @5.16.1         lang/perl5.16
pkgconfig                      @0.28           devel/pkgconfig
policykit                      @0.104          security/policykit
popt                           @1.16           devel/popt
py27-libxml2                   @2.9.1          python/py-libxml2
python27                       @2.7.5          lang/python27
python_select                  @0.3            sysutils/python_select
rarian                         @0.8.1          textproc/rarian
readline                       @6.2.000        devel/readline
shared-mime-info               @1.1            devel/shared-mime-info
sqlite3                        @3.7.17         databases/sqlite3
tcl                            @8.6.0          lang/tcl
texinfo                        @4.13           textproc/texinfo
tiff                           @4.0.3          graphics/tiff
unzip                          @6.0            archivers/unzip
vala                           @0.20.1         lang/vala
webp                           @0.3.1          graphics/webp
Xft2                           @2.3.1          x11/Xft2
xmlcatmgr                      @2.2            textproc/xmlcatmgr
xorg-bigreqsproto              @1.1.2          x11/xorg-bigreqsproto
xorg-compositeproto            @0.4.2          x11/xorg-compositeproto
xorg-damageproto               @1.2.1          x11/xorg-damageproto
xorg-dri2proto                 @2.8            x11/xorg-dri2proto
xorg-fixesproto                @5.0            x11/xorg-fixesproto
xorg-glproto                   @1.4.16         x11/xorg-glproto
xorg-inputproto                @2.3            x11/xorg-inputproto
xorg-kbproto                   @1.0.6          x11/xorg-kbproto
xorg-libice                    @1.0.8          x11/xorg-libice
xorg-libpthread-stubs          @0.3            x11/xorg-libpthread-stubs
xorg-libsm                     @1.2.1          x11/xorg-libsm
xorg-libX11                    @1.6.0          x11/xorg-libX11
xorg-libXau                    @1.0.8          x11/xorg-libXau
xorg-libxcb                    @1.9.1          x11/xorg-libxcb
xorg-libXcomposite             @0.4.4          x11/xorg-libXcomposite
xorg-libXcursor                @1.1.14         x11/xorg-libXcursor
xorg-libXdamage                @1.1.4          x11/xorg-libXdamage
xorg-libXdmcp                  @1.1.1          x11/xorg-libXdmcp
xorg-libXext                   @1.3.2          x11/xorg-libXext
xorg-libXfixes                 @5.0.1          x11/xorg-libXfixes
xorg-libXi                     @1.7.2          x11/xorg-libXi
xorg-libXinerama               @1.1.3          x11/xorg-libXinerama
xorg-libXmu                    @1.1.1          x11/xorg-libXmu
xorg-libXrandr                 @1.4.1          x11/xorg-libXrandr
xorg-libXt                     @1.1.4          x11/xorg-libXt
xorg-randrproto                @1.4.0          x11/xorg-randrproto
xorg-renderproto               @0.11.1         x11/xorg-renderproto
xorg-util-macros               @1.17           x11/xorg-util-macros
xorg-xcb-proto                 @1.8            x11/xorg-xcb-proto
xorg-xcb-util                  @0.3.9          x11/xorg-xcb-util
xorg-xcmiscproto               @1.2.2          x11/xorg-xcmiscproto
xorg-xextproto                 @7.2.1          x11/xorg-xextproto
xorg-xf86bigfontproto          @1.2.0          x11/xorg-xf86bigfontproto
xorg-xineramaproto             @1.2.1          x11/xorg-xineramaproto
xorg-xproto                    @7.0.24         x11/xorg-xproto
xorg-xtrans                    @1.2.7          x11/xorg-xtrans
xrender                        @0.9.8          x11/xrender
xz                             @5.0.4          archivers/xz
zlib                           @1.2.8          archivers/zlib

---

$ svn update -r 107530
...
$ for p in textproc/aspell devel/atk devel/autoconf devel/automake devel/bison archivers/bzip2 graphics/cairo devel/cmake net/curl databases/db46 sysutils/db_select devel/dbus devel/dbus-glib gnome/desktop-file-utils textproc/docbook-xml textproc/docbook-xml textproc/docbook-xml textproc/docbook-xml textproc/docbook-xml textproc/docbook-xml textproc/docbook-xml textproc/docbook-xsl textproc/enchant textproc/expat devel/flex graphics/fontconfig print/freetype gnome/gconf databases/gdbm graphics/gdk-pixbuf2 devel/geoclue sysutils/getopt devel/gettext gnome/glib-networking devel/glib2 devel/gmp gnome/gnome-common gnome/gnome-doc-utils gnome/gnome-mime-data gnome/gnome-vfs devel/gnutls gnome/gobject-introspection devel/gperf graphics/graphite2 textproc/gsed gnome/gsettings-desktop-schemas gnome/gstreamer1 gnome/gstreamer1-gst-plugins-base gnome/gtk-doc gnome/gtk2 archivers/gzip graphics/harfbuzz graphics/harfbuzz textproc/help2man gnome/hicolor-icon-theme textproc/hunspell devel/icu textproc/intltool devel/iso-codes graphics/jasper graphics/jbigkit graphics/jpeg devel/libedit devel/libffi devel/libgcrypt gnome/libgnome-keyring devel/libgpg-error textproc/libiconv devel/libidl mail/libidn multimedia/libogg graphics/libpixman graphics/libpng net/libproxy gnome/libsecret gnome/libsoup devel/libtasn1 multimedia/libtheora devel/libtool audio/libvorbis textproc/libxml2 textproc/libxslt archivers/lzo2 devel/m4 x11/makedepend x11/mesa devel/ncurses devel/nettle devel/openssl devel/orbit2 devel/orc perl/p5-locale-gettext perl/p5-getopt-long perl/p5-pathtools perl/p5-scalar-list-utils perl/p5-xml-parser x11/pango lang/perl5 lang/perl5.12 lang/perl5.16 devel/pkgconfig security/policykit devel/popt python/py-libxml2 lang/python27 sysutils/python_select textproc/rarian devel/readline devel/shared-mime-info databases/sqlite3 lang/tcl textproc/texinfo graphics/tiff archivers/unzip lang/vala graphics/webp x11/Xft2 textproc/xmlcatmgr x11/xorg-bigreqsproto x11/xorg-compositeproto x11/xorg-damageproto x11/xorg-dri2proto x11/xorg-fixesproto x11/xorg-glproto x11/xorg-inputproto x11/xorg-kbproto x11/xorg-libice x11/xorg-libpthread-stubs x11/xorg-libsm x11/xorg-libX11 x11/xorg-libXau x11/xorg-libxcb x11/xorg-libXcomposite x11/xorg-libXcursor x11/xorg-libXdamage x11/xorg-libXdmcp x11/xorg-libXext x11/xorg-libXfixes x11/xorg-libXi x11/xorg-libXinerama x11/xorg-libXmu x11/xorg-libXrandr x11/xorg-libXt x11/xorg-randrproto x11/xorg-renderproto x11/xorg-util-macros x11/xorg-xcb-proto x11/xorg-xcb-util x11/xorg-xcmiscproto x11/xorg-xextproto x11/xorg-xf86bigfontproto x11/xorg-xineramaproto x11/xorg-xproto x11/xorg-xtrans x11/xrender archivers/xz archivers/zlib; do echo -n $p: ; grep Id $p/Portfile; done | sort -n -k 4
gnome/gsettings-desktop-schemas:# $Id$
variant rfc3779 description {enable RFC 3779: X.509 Extensions for IP Addresses and AS Identifiers} {
devel/readline:# $Id: Portfile 76438 2011-02-23 19:57:27Z raimue@macports.org $
x11/xorg-renderproto:# $Id: Portfile 80478 2011-07-13 16:47:51Z jmr@macports.org $
x11/xorg-libpthread-stubs:# $Id: Portfile 80498 2011-07-13 18:07:29Z jmr@macports.org $
x11/xorg-damageproto:# $Id: Portfile 80666 2011-07-16 12:10:29Z jmr@macports.org $
x11/xorg-compositeproto:# $Id: Portfile 80667 2011-07-16 12:12:40Z jmr@macports.org $
devel/popt:# $Id: Portfile 80780 2011-07-17 13:42:19Z jmr@macports.org $
devel/m4:# $Id: Portfile 81395 2011-07-30 02:26:52Z jmr@macports.org $
graphics/jbigkit:# $Id: Portfile 82637 2011-08-17 07:57:20Z ryandesign@macports.org $
gnome/desktop-file-utils:# $Id: Portfile 82866 2011-08-21 06:19:57Z jmr@macports.org $
textproc/enchant:# $Id: Portfile 83246 2011-08-29 07:40:02Z dports@macports.org $
archivers/unzip:# $Id: Portfile 84750 2011-09-30 13:01:50Z jmr@macports.org $
multimedia/libtheora:# $Id: Portfile 86199 2011-10-21 11:00:44Z ryandesign@macports.org $
textproc/xmlcatmgr:# $Id: Portfile 86786 2011-11-04 05:20:35Z boeyms@macports.org $
gnome/hicolor-icon-theme:# $Id: Portfile 87542 2011-11-25 04:02:55Z ryandesign@macports.org $
textproc/texinfo:# $Id: Portfile 88158 2011-12-21 00:33:31Z vinc17@macports.org $
devel/libtasn1:# $Id: Portfile 88209 2011-12-22 00:41:14Z rmstonecipher@macports.org $
x11/xorg-libice:# $Id: Portfile 90421 2012-03-05 02:27:52Z jeremyhu@macports.org $
x11/xorg-libsm:# $Id: Portfile 90422 2012-03-05 02:29:31Z jeremyhu@macports.org $
textproc/libiconv:# $Id: Portfile 90445 2012-03-05 22:08:09Z cal@macports.org $
x11/xorg-libXdmcp:# $Id: Portfile 90512 2012-03-08 04:12:30Z jeremyhu@macports.org $
x11/xorg-libXmu:# $Id: Portfile 90516 2012-03-08 04:20:50Z jeremyhu@macports.org $
x11/makedepend:# $Id: Portfile 90534 2012-03-08 08:00:58Z jeremyhu@macports.org $
x11/xorg-util-macros:# $Id: Portfile 91042 2012-03-23 07:33:46Z jeremyhu@macports.org $
x11/xorg-bigreqsproto:# $Id: Portfile 91043 2012-03-23 07:56:16Z jeremyhu@macports.org $
x11/xorg-kbproto:# $Id: Portfile 91045 2012-03-23 07:57:12Z jeremyhu@macports.org $
x11/xorg-xcmiscproto:# $Id: Portfile 91048 2012-03-23 07:58:51Z jeremyhu@macports.org $
x11/xorg-xtrans:# $Id: Portfile 91051 2012-03-23 08:00:52Z jeremyhu@macports.org $
textproc/expat:# $Id: Portfile 91519 2012-04-04 00:24:46Z ryandesign@macports.org $
devel/gperf:# $Id: Portfile 92274 2012-04-23 18:10:49Z jmr@macports.org $
devel/libidl:# $Id: Portfile 93948 2012-06-04 21:43:21Z and.damore@macports.org $
lang/perl5:# $Id: Portfile 94023 2012-06-06 22:14:57Z ryandesign@macports.org $
audio/libvorbis:# $Id: Portfile 94229 2012-06-13 00:35:02Z jeremyhu@macports.org $
perl/p5-getopt-long:# $Id: Portfile 94655 2012-06-26 06:25:00Z jmr@macports.org $
perl/p5-pathtools:# $Id: Portfile 94655 2012-06-26 06:25:00Z jmr@macports.org $
archivers/xz:# $Id: Portfile 94838 2012-07-01 12:55:56Z afb@macports.org $
databases/gdbm:# $Id: Portfile 95239 2012-07-07 14:44:43Z cal@macports.org $
x11/xorg-glproto:# $Id: Portfile 95424 2012-07-12 16:01:51Z jeremyhu@macports.org $
x11/xorg-dri2proto:# $Id: Portfile 95425 2012-07-12 16:02:23Z jeremyhu@macports.org $
x11/xorg-randrproto:# $Id: Portfile 95426 2012-07-12 16:02:42Z jeremyhu@macports.org $
x11/Xft2:# $Id: Portfile 95429 2012-07-12 16:10:01Z jeremyhu@macports.org $
archivers/bzip2:# $Id: Portfile 96770 2012-08-19 00:21:50Z ryandesign@macports.org $
textproc/hunspell:# $Id: Portfile 97314 2012-09-03 11:35:09Z ryandesign@macports.org $
perl/p5-xml-parser:# $Id: Portfile 97424 2012-09-05 19:24:51Z jmr@macports.org $
devel/libtool:# $Id: Portfile 97550 2012-09-08 18:14:12Z blair@macports.org $
devel/gmp:# $Id: Portfile 98222 2012-09-29 20:08:55Z ryandesign@macports.org $
devel/flex:# $Id: Portfile 98589 2012-10-09 14:08:08Z ryandesign@macports.org $
textproc/libxslt:# $Id: Portfile 98917 2012-10-20 23:50:01Z ryandesign@macports.org $
devel/dbus:# $Id: Portfile 99827 2012-11-18 15:28:42Z pixilla@macports.org $
net/libproxy:# $Id: Portfile 100201 2012-12-03 16:42:20Z devans@macports.org $
sysutils/python_select:# $Id: Portfile 100378 2012-12-10 09:28:27Z raimue@macports.org $
x11/xorg-xcb-proto:# $Id: Portfile 100601 2012-12-17 18:10:58Z jeremyhu@macports.org $
textproc/gsed:# $Id: Portfile 100788 2012-12-24 17:54:37Z g5pw@macports.org $
lang/tcl:# $Id: Portfile 100827 2012-12-27 23:14:40Z g5pw@macports.org $
devel/libedit:# $Id: Portfile 100890 2012-12-31 06:08:42Z jeremyhu@macports.org $
textproc/aspell:# $Id: Portfile 101304 2013-01-08 00:54:14Z ryandesign@macports.org $
x11/xorg-xextproto:# $Id: Portfile 101717 2013-01-17 22:49:15Z jeremyhu@macports.org $
x11/xorg-xf86bigfontproto:# $Id: Portfile 101717 2013-01-17 22:49:15Z jeremyhu@macports.org $
x11/xorg-xineramaproto:# $Id: Portfile 101717 2013-01-17 22:49:15Z jeremyhu@macports.org $
archivers/lzo2:# $Id: Portfile 101788 2013-01-19 11:36:13Z ryandesign@macports.org $
x11/xorg-libXcomposite:# $Id: Portfile 101855 2013-01-20 20:08:00Z jeremyhu@macports.org $
x11/xorg-libXdamage:# $Id: Portfile 101857 2013-01-20 20:13:47Z jeremyhu@macports.org $
devel/libgcrypt:# $Id: Portfile 102122 2013-01-28 08:24:20Z jeremyhu@macports.org $
x11/xorg-xcb-util:# $Id: Portfile 102174 2013-01-29 07:53:39Z jeremyhu@macports.org $
textproc/rarian:# $Id: Portfile 102267 2013-01-29 22:32:40Z ryandesign@macports.org $
gnome/gstreamer1-gst-plugins-base:# $Id: Portfile 102362 2013-02-01 03:43:34Z rmstonecipher@macports.org $
perl/p5-locale-gettext:# $Id: Portfile 102755 2013-02-08 01:41:54Z jeremyhu@macports.org $
graphics/jasper:# $Id: Portfile 102822 2013-02-09 00:51:24Z jmr@macports.org $
graphics/jpeg:# $Id: Portfile 102830 2013-02-09 06:38:38Z jeremyhu@macports.org $
mail/libidn:# $Id: Portfile 102924 2013-02-11 01:37:05Z jeremyhu@macports.org $
devel/ncurses:# $Id: Portfile 103026 2013-02-12 07:06:48Z jmr@macports.org $
sysutils/getopt:# $Id: Portfile 103250 2013-02-19 11:18:05Z ryandesign@macports.org $
x11/mesa:# $Id: Portfile 103261 2013-02-19 14:15:37Z ryandesign@macports.org $
devel/openssl:# $Id: Portfile 103623 2013-03-03 14:46:59Z ryandesign@macports.org $
devel/gettext:# $Id: Portfile 103720 2013-03-05 17:32:09Z ryandesign@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
textproc/docbook-xml:# $Id: Portfile 104041 2013-03-14 00:27:36Z jmr@macports.org $
graphics/tiff:# $Id: Portfile 104189 2013-03-20 13:08:23Z stromnov@macports.org $
textproc/docbook-xsl:# $Id: Portfile 104648 2013-03-30 18:06:55Z devans@macports.org $
devel/shared-mime-info:# $Id: Portfile 104650 2013-03-30 18:18:02Z devans@macports.org $
devel/libffi:# $Id: Portfile 104651 2013-03-30 19:15:31Z devans@macports.org $
devel/dbus-glib:# $Id: Portfile 104671 2013-03-31 08:05:34Z devans@macports.org $
devel/atk:# $Id: Portfile 104675 2013-03-31 08:41:43Z devans@macports.org $
devel/nettle:# $Id: Portfile 104701 2013-04-01 01:18:27Z jeremyhu@macports.org $
lang/vala:# $Id: Portfile 104733 2013-04-01 21:37:39Z cal@macports.org $
devel/gnutls:# $Id: Portfile 104751 2013-04-02 02:19:57Z ryandesign@macports.org $
devel/geoclue:# $Id: Portfile 104797 2013-04-02 21:14:48Z devans@macports.org $
security/policykit:# $Id: Portfile 104818 2013-04-03 04:03:28Z jeremyhu@macports.org $
devel/orbit2:# $Id: Portfile 104857 2013-04-04 06:36:44Z devans@macports.org $
gnome/gnome-doc-utils:# $Id: Portfile 104944 2013-04-05 20:36:28Z devans@macports.org $
gnome/gtk-doc:# $Id: Portfile 104944 2013-04-05 20:36:28Z devans@macports.org $
gnome/gnome-mime-data:# $Id: Portfile 104946 2013-04-05 22:26:23Z devans@macports.org $
devel/pkgconfig:# $Id: Portfile 105021 2013-04-07 22:31:25Z ryandesign@macports.org $
perl/p5-scalar-list-utils:# $Id: Portfile 105129 2013-04-11 15:38:44Z mcalhoun@macports.org $
x11/xorg-inputproto:# $Id: Portfile 105315 2013-04-17 16:08:22Z jeremyhu@macports.org $
gnome/libsoup:# $Id: Portfile 105614 2013-04-27 21:49:58Z devans@macports.org $
sysutils/db_select:# $Id: Portfile 105624 2013-04-28 08:30:28Z and.damore@macports.org $
databases/db46:# $Id: Portfile 105691 2013-05-02 07:07:02Z and.damore@macports.org $
devel/bison:# $Id: Portfile 105890 2013-05-09 11:19:19Z mww@macports.org $
gnome/gnome-common:# $Id: Portfile 105934 2013-05-10 17:32:36Z devans@macports.org $
devel/cmake:# $Id: Portfile 105950 2013-05-11 02:37:24Z larryv@macports.org $
gnome/libsecret:# $Id: Portfile 105959 2013-05-11 06:51:52Z jeremyhu@macports.org $
lang/perl5.12:# $Id: Portfile 105991 2013-05-12 18:28:26Z larryv@macports.org $
lang/perl5.16:# $Id: Portfile 105992 2013-05-12 18:30:08Z larryv@macports.org $
gnome/gobject-introspection:# $Id: Portfile 106044 2013-05-14 01:31:00Z jeremyhu@macports.org $
textproc/help2man:# $Id: Portfile 106175 2013-05-17 22:51:59Z devans@macports.org $
devel/autoconf:# $Id: Portfile 106188 2013-05-18 13:21:33Z jmr@macports.org $
lang/python27:# $Id: Portfile 106224 2013-05-19 20:30:53Z jmr@macports.org $
devel/orc:# $Id: Portfile 106229 2013-05-20 01:40:49Z rmstonecipher@macports.org $
databases/sqlite3:# $Id: Portfile 106246 2013-05-20 12:56:51Z stromnov@macports.org $
graphics/fontconfig:# $Id: Portfile 106309 2013-05-22 04:24:21Z ryandesign@macports.org $
x11/xorg-libXau:# $Id: Portfile 106469 2013-05-27 18:54:51Z jeremyhu@macports.org $
x11/xorg-xproto:# $Id: Portfile 106470 2013-05-27 18:59:04Z jeremyhu@macports.org $
graphics/cairo:# $Id: Portfile 106495 2013-05-28 09:57:36Z ryandesign@macports.org $
graphics/libpixman:# $Id: Portfile 106495 2013-05-28 09:57:36Z ryandesign@macports.org $
x11/xorg-libXfixes:# $Id: Portfile 106511 2013-05-29 05:53:42Z jeremyhu@macports.org $
x11/pango:# $Id: Portfile 106559 2013-05-31 00:13:02Z cal@macports.org $
devel/icu:# $Id: Portfile 106581 2013-05-31 12:25:39Z cal@macports.org $
graphics/libpng:# $Id: Portfile 106595 2013-05-31 18:20:10Z ryandesign@macports.org $
graphics/gdk-pixbuf2:# $Id: Portfile 106795 2013-06-08 15:28:13Z devans@macports.org $
multimedia/libogg:# $Id: Portfile 106904 2013-06-11 04:21:22Z rmstonecipher@macports.org $
graphics/graphite2:# $Id: Portfile 106927 2013-06-12 01:37:09Z ryandesign@macports.org $
archivers/gzip:# $Id: Portfile 106932 2013-06-12 05:42:09Z mww@macports.org $
devel/libgpg-error:# $Id: Portfile 106956 2013-06-12 17:07:50Z devans@macports.org $
devel/glib2:# $Id: Portfile 107004 2013-06-14 04:34:40Z devans@macports.org $
graphics/webp:# $Id: Portfile 107178 2013-06-20 23:03:59Z ryandesign@macports.org $
x11/xorg-libxcb:# $Id: Portfile 107180 2013-06-20 23:17:42Z jeremyhu@macports.org $
x11/xorg-libXcursor:# $Id: Portfile 107181 2013-06-20 23:17:53Z jeremyhu@macports.org $
x11/xorg-libXinerama:# $Id: Portfile 107182 2013-06-20 23:18:02Z jeremyhu@macports.org $
x11/xorg-libX11:# $Id: Portfile 107183 2013-06-20 23:21:07Z jeremyhu@macports.org $
x11/xorg-libXt:# $Id: Portfile 107186 2013-06-20 23:22:08Z jeremyhu@macports.org $
print/freetype:# $Id: Portfile 107188 2013-06-20 23:22:40Z ryandesign@macports.org $
x11/xorg-libXext:# $Id: Portfile 107189 2013-06-20 23:23:11Z jeremyhu@macports.org $
x11/xorg-libXrandr:# $Id: Portfile 107192 2013-06-20 23:25:35Z jeremyhu@macports.org $
x11/xrender:# $Id: Portfile 107194 2013-06-20 23:26:43Z jeremyhu@macports.org $
gnome/gtk2:# $Id: Portfile 107199 2013-06-21 06:41:59Z devans@macports.org $
x11/xorg-fixesproto:# $Id: Portfile 107200 2013-06-21 09:03:06Z jeremyhu@macports.org $
net/curl:# $Id: Portfile 107230 2013-06-23 09:30:02Z ryandesign@macports.org $
gnome/gstreamer1:# $Id: Portfile 107239 2013-06-24 03:13:27Z rmstonecipher@macports.org $
python/py-libxml2:# $Id: Portfile 107266 2013-06-24 20:53:41Z ryandesign@macports.org $
textproc/libxml2:# $Id: Portfile 107266 2013-06-24 20:53:41Z ryandesign@macports.org $
gnome/libgnome-keyring:# $Id: Portfile 107292 2013-06-25 14:52:08Z devans@macports.org $
gnome/gnome-vfs:# $Id: Portfile 107354 2013-06-26 03:25:19Z devans@macports.org $
devel/automake:# $Id: Portfile 107382 2013-06-26 18:49:54Z mww@macports.org $
devel/iso-codes:# $Id: Portfile 107440 2013-06-29 11:16:37Z rmstonecipher@macports.org $
archivers/zlib:# $Id: Portfile 107458 2013-06-29 21:08:49Z jeremyhu@macports.org $
x11/xorg-libXi:# $Id: Portfile 107461 2013-06-29 21:53:11Z jeremyhu@macports.org $
graphics/harfbuzz:# $Id: Portfile 107469 2013-06-30 10:14:17Z ryandesign@macports.org $
graphics/harfbuzz:# $Id: Portfile 107469 2013-06-30 10:14:17Z ryandesign@macports.org $
gnome/gconf:# $Id: Portfile 107503 2013-07-01 18:04:37Z devans@macports.org $
gnome/glib-networking:# $Id: Portfile 107506 2013-07-01 19:14:46Z devans@macports.org $
textproc/intltool:# $Id: Portfile 107528 2013-07-02 03:45:35Z jeremyhu@macports.org $

That's 28 dependent ports that changed between 6/14 and when this ticket was filed.

comment:114 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

I'm just gonna bisect that list with my spare cycles... that'll take longer real time but much less of my time than analyzing this directly.

comment:115 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

r107194 works

comment:116 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

r107382 works

comment:117 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Ryan, your harfbuzz changes are the most suspicious of the suspect region now, so you might want to take a look at those while I continue to bisect.

comment:118 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

r107461 fails to build webkit-gtk because of #39584:

libtool: link: cannot find the library `/opt/local-2.1.3/var/macports/build/_Users_jeremy_src_macports_trunk_dports_graphics_harfbuzz/harfbuzz-icu/work/harfbuzz-0.9.18/src/libharfbuzz.la' or unhandled argument `/opt/local-2.1.3/var/macports/build/_Users_jeremy_src_macports_trunk_dports_graphics_harfbuzz/harfbuzz-icu/work/harfbuzz-0.9.18/src/libharfbuzz.la'

I updated to r107469 and continued the build. It failed with the issue discussed in this ticket.

comment:119 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

r107440 works

comment:120 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

From the workning r107440, I uninstalled webkit-gtk and updated harfbuzz and webkit-gtk to r107469. I then reinstalled webkit-gtk (which first installed harfbuzz-icu), and this issue occurred. It's probably something to do with splitting up harfbuzz into two ports (probably something in harfbuz-icu's .la file)

comment:121 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

--- /opt/local-2.1.3/lib/libharfbuzz-icu.la	2013-07-31 16:48:44.000000000 -0700
+++ /opt/local-2.1.3/lib/libharfbuzz-icu.la.fail	2013-07-31 18:14:25.000000000 -0700
@@ -17,7 +17,7 @@ old_library=''
 inherited_linker_flags=' '
 
 # Libraries that this one depends upon.
-dependency_libs=' -R/opt/local-2.1.3/lib -L/opt/local-2.1.3/lib -licuuc -licudata /opt/local-2.1.3/lib/libharfbuzz.la /opt/local-2.1.3/lib/libgobject-2.0.la /opt/local-2.1.3/lib/libffi.la /opt/local-2.1.3/lib/libglib-2.0.la -lresolv /opt/local-2.1.3/lib/libintl.la /opt/local-2.1.3/lib/libiconv.la -lc /opt/local-2.1.3/lib/libfreetype.la -lbz2 /opt/local-2.1.3/lib/libpng15.la -lz'
+dependency_libs=' -L/opt/local-2.1.3/lib -licuuc -licudata /opt/local-2.1.3/lib/libharfbuzz.la'
 
 # Names of additional weak libraries provided by this library
 weak_library_names=''
@@ -28,7 +28,7 @@ age=918
 revision=0
 
 # Is this an already installed library?
-installed=yes
+installed=no
 
 # Should we warn about portability when linking against -modules?
 shouldnotlink=no
@@ -39,3 +39,4 @@ dlpreopen=''
 
 # Directory that this library needs to be installed in:
 libdir='/opt/local-2.1.3/lib'
+relink_command=""

That 'installed=no' looks suspicious... I'm placing my money on that...

comment:122 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Owner: changed from devans@… to ryandesign@…
Port: harfbuzz-icu added; glibtool removed

Oh yeah, this is definitely a bug in harfbuzz. You can't just copy .la files to install them... do a 'make install' in the appropriate directory.

comment:123 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

comment:124 Changed 10 years ago by MaurizioLoreti

Cc: Maurizio.Loreti@… removed

Cc Me!

comment:125 Changed 10 years ago by c.herbig@…

Was harfbuzz changed along with (or at a very similar time to) webkit-gtk 2.0.3, because 2.0.2 +quartz was the last one I was able to build without any errors (other than the X11 that is now under a separate ticket). That is to say, I was able to build 2.0.2 +quartz and X11 quick fix, but not likewise for 2.0.3; the only thing that I remember seeing different in the portfile was harfbuzz changed to harfbuzz-icu.

comment:126 in reply to:  125 ; Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to c.herbig@…:

I was able to build 2.0.2 +quartz and X11 quick fix, but not likewise for 2.0.3;

webkit-gtk was updated to 2.0.3 in r106934 (2013-06-11)
harfbuzz-icu was split off from harfbuzz in r107441 and webkit-gtk's harfbuzz and icu dependencies were changed to harfbuzz-icu in r107446 (2013-06-29)
So your experience suggests that you did not run selfupdate and attempt to upgrade your outdated ports between 2013-06-11 and 2013-06-29.

comment:127 in reply to:  122 ; Changed 10 years ago by ryandesign (Ryan Schmidt)

Replying to jeremyhu@…:

Oh yeah, this is definitely a bug in harfbuzz.

Alas! I am very sorry to have caused this commotion. Please accept my apologies.

You can't just copy .la files to install them...

Apparently not! You can tell how little I understand libtool...

do a 'make install' in the appropriate directory.

The problem is harfbuzz recommends packaging harfbuzz-icu separately, but does not explain how to do so, so I improvised, obviously incorrectly. I will have to try to wade through the Makefile and figure out a better way to do this.

comment:128 in reply to:  126 Changed 10 years ago by c.herbig@…

Replying to ryandesign@…:

Replying to c.herbig@…:

I was able to build 2.0.2 +quartz and X11 quick fix, but not likewise for 2.0.3;

webkit-gtk was updated to 2.0.3 in r106934 (2013-06-11)
harfbuzz-icu was split off from harfbuzz in r107441 and webkit-gtk's harfbuzz and icu dependencies were changed to harfbuzz-icu in r107446 (2013-06-29)
So your experience suggests that you did not run selfupdate and attempt to upgrade your outdated ports between 2013-06-11 and 2013-06-29.

It's difficult to say, because by then I was already experimenting with disabling items in the configure section, meanwhile copy-pasting any relevant changes that I noticed from the macports portfile tree to the side repository I had set up. Oh well, as long as you guys found the real problem.

comment:129 in reply to:  127 Changed 10 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Replying to ryandesign@…:

Replying to jeremyhu@…:

Oh yeah, this is definitely a bug in harfbuzz.

Alas! I am very sorry to have caused this commotion. Please accept my apologies.

You can't just copy .la files to install them...

Apparently not! You can tell how little I understand libtool...

Yeah, glibtool is a riddle wrapped in an enigma... =)

do a 'make install' in the appropriate directory.

The problem is harfbuzz recommends packaging harfbuzz-icu separately, but does not explain how to do so, so I improvised, obviously incorrectly. I will have to try to wade through the Makefile and figure out a better way to do this.

Well there's a workaround there for now.

Changed 10 years ago by ajdudman

fix libtool library and header installation for harfbuzz-icu subport

comment:130 Changed 10 years ago by ajdudman

Thanks to the above discussion, the hard work is done. Do not install libtool libraries manually, because it is too error prone. Well, here even installing an include file went wrong. It should be /opt/local/include/harfbuzz/hb-icu.h, not /opt/local/include/hb-icu.h. In the harfbuzz/Portfile, in the harfbuzz-icu subport block:

  1. Get rid of that troublesome destroot procedure.
  2. Keep destroot.dir line.
  3. Add a line setting destroot.args for the desired files to install.

See attached Portfile changes.

Last edited 10 years ago by ajdudman (previous) (diff)

comment:131 in reply to:  130 Changed 10 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

Replying to ajdudman@…:

See attached Portfile changes.

Thanks. Committed in r108799.

comment:132 Changed 9 years ago by dstrubbe (David Strubbe)

Cc: dstrubbe@… added; dstrubbe@… removed
Note: See TracTickets for help on using tickets.